package de.accso.flexinale.security.infrastructure.persistence;

import de.accso.flexinale.common.domain.dao.AbstractDao;
import de.accso.flexinale.common.shared_kernel.Identifiable;

import java.util.List;
import java.util.Optional;

public interface BenutzerDao extends AbstractDao<BenutzerEntity> {

    @Override
    Optional<BenutzerEntity> findById(final Identifiable.Id id);

    List<BenutzerEntity> findByName(final String name);

    Optional<BenutzerEntity> findByLogin(final String login);
}
